=begin
  Copyright 2011 (c), Thomthom & Rich O'Brien
  All Rights Reserved.
  THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
  WARRANTIES,INCLUDING,WITHOUT LIMITATION,THE IMPLIED WARRANTIES OF 
  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
###
  Colour_N_Gon.rb
###
Description:
	Paints N-Gons in a selection
###
Usage:
Run 'Colour N-Gon.rb' from the 'Plugin' menu.

Versions:
	1.0 18/5/2011 - First Release
=end
	
require 'sketchup.rb'

module ROB
  
  module ColorByNGon
    
    unless file_loaded?( File.basename(__FILE__) )
      menu = UI.menu( 'Plugins' )
      menu.add_item( 'Colour N-Gons' ) {
        self.colour_ngon
      }
    end
    
    def self.colour_ngon
      prompts  = [ 'Colour', 'N-Gon Sides' ]
      defaults = [ 'Red', 4 ]
      title    = 'Colour N-Gons'
      result = UI.inputbox( prompts, defaults, title )
      return if result == false
      color, ngon = result
      model = Sketchup.active_model
      model.start_operation( 'Colour N-Gons', true )
      for face in model.selection
        next unless face.is_a?( Sketchup::Face )
        next unless face.edges.length == ngon
        face.material = color
      end
      model.commit_operation
    end
    
  end

end

file_loaded( File.basename(__FILE__) )
 